// WebSocket-Verbindung zum Server direkt aufbauen
let ws = new WebSocket('ws://localhost:8080/Spiele/zahlenraten');

// Listener an ws.onopen: Folgende Funktion wird automatisch aufgerufen, wenn 
// die Verbindung zum WebSocket-Server erfolgreich geöffnet wurde
ws.onopen = function () {
    console.log('Verbindung hergestellt');
};

// Listener an ws.onmessage: Folgende Funktion wird immer automatisch aufgerufen,
// wenn der Server eine Nachricht (message) sendet, message ist dabei ein String
ws.onmessage = function (message) {
    if ((message !== null) && (message.data !== null) && (message.data.length > 0)) {
        info = message.data;
        ausgabebereich = document.getElementById('ausgabebereich');
        ausgabebereich.innerHTML = info + '<br />' + ausgabebereich.innerHTML;
    }
};

// Listener an ws.onclose: Folgende Funktion wird automatisch aufgerufen, wenn 
// die Verbindung zum WebSocket-Server geschlossen wurde
ws.onclose = function (event) {
    console.log('Verbindung geschlossen');
};

// Listener an ws.onerror: Folgende Funktion wird automatisch aufgerufen, wenn 
// die Verbindung zum WebSocket-Server auf einen Fehler läuft
ws.onerror = function (event) {
    console.log('Verbindungsfehler');
};

// Über ws.send(message) kann eine Nachricht an den WebSocket-Server gesendet
// werden. Hier wird die Zahl aus dem Eingabefeld mit der id='guess' als String
// an den WebSocket-Server versendet
function zahl_senden(message) {
    guess = document.getElementById('guess').value;
    ws.send(guess);
}